<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2002-2004 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="mtlb_more">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_more</refname>
    <refpurpose>Fonction d'émulation de la fonction Matlab more</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Dans plusieurs cas particuliers, la fonction Matlab <literal>more</literal> et la fonction Scilab
    <literal>lines</literal> se comportent différemment :</para>
    <itemizedlist>
      <listitem>
        <para>
        Avec des chaînes de caractères comme entrée : La fonction Matlab <literal>more</literal> accepte
	"on" et "off" comme entrée mais pas la fonction Scilab <literal>lines</literal>,
	il existe des équivalents (0 et 60).
        </para>
      </listitem>
    </itemizedlist>
    <para>
    La fonction <literal>mtlb_more(in)</literal> est utilisée par
    <literal>mfile2sci</literal> pour remplacer <literal>more(in)</literal> quand il n'était pas
    possible de savoir ce qu'était le paramètre d'entrée pendant la conversion d'un code Matlab vers Scilab. Cette fonction va
    déterminer la sémantique correcte pendant l'exécution. Pour obtenir un code plus performant
    on peut remplacer les appels à <literal>mtlb_more</literal> :
    </para>
    <itemizedlist>
      <listitem>
        <para>
        Si <literal>in</literal> est égal à "on"
        <literal>mtlb_more(in)</literal> peut être remplacé par <literal>lines(60)</literal>
        </para>
      </listitem>
      <listitem>
        <para>
         Si <literal>in</literal> est égal à "off"
        <literal>mtlb_more(in)</literal> peut être remplacé par <literal>lines(0)</literal>
        </para>
      </listitem>
      <listitem>
        <para>
         Si <literal>in</literal> est un double
        <literal>mtlb_more(in)</literal> peut être remplacé par <literal>lines(in)</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Attention : <literal>mtlb_more</literal> ne doit pas être utilisée pour une programmation manuelle.</para>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
